public class VectorInteger implements Vector{
    private Object _data[];

    public VectorInteger(){
        _data= new Object[5];
    }

    public VectorInteger(VectorInteger v){
        _data= new Object[v._data.length];
        for(int i=0; i<_data.length; ++i)
            _data[i]= v._data[i];
    }

    public void set(int index, Object o) throws Exception {
        checkType(o);
        resize(index);
        _data[index]= o;
    }

    public Object get(int index){
        return _data[index];
    }

    public VectorInteger clone(){
        return new VectorInteger(this);
    }

    public String toString(){
        StringBuffer s= new StringBuffer();
        for(int i=0; i<_data.length; ++i){
            if(_data[i] != null)
                s.append("(").append(i).append(",").append(_data[i]).append(")");
        } 
        return s.toString();
    }

    protected void checkType(Object o) throws Exception{
        if(!(o instanceof Integer))
            throw new Exception("Invalid type for that array");
    }

    private void resize(int size){
        if(size < _data.length)
            return;
        if(size < _data.length * 2)
            size= _data.length * 2;
        Object[] tmp= new Object[size+1];
        for(int i=0; i<_data.length && i<size; ++i)
            tmp[i]=_data[i];
        _data= tmp;
    }
}
